# $Revision: 1.13 $, $Date: 2012/03/08 15:13:53 $
Summary:	lndir utility - create a directory of symbolic links to another directory tree
Summary(pl.UTF-8):	Narzędzie lndir - tworzenie katalogu dowiązań symbolicznych do innego drzewa
Name:		xorg-util-lndir
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/lndir-%{version}.tar.bz2
# Source0-md5:	a47bcd6cecda1a6ebd3395926ea4f53a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The lndir program makes a shadow copy of a source directory tree,
except that the shadow is not populated with real files but instead
with symbolic links pointing at the real files in the source directory
tree. This is usually useful for maintaining source code for different
machine architectures. You create a shadow directory containing links
to the real source, which you will have usually mounted from a remote
machine.

%description -l pl.UTF-8
Program lndir tworzy kopię źródłowego drzewa katalogów z tą różnicą,
że nie kopiuje samych plików, a jedynie tworzy dowiązania symboliczne
wskazujące na prawdziwe pliki w źródłowym drzewie katalogów. Jest to
zwykle przydatne do utrzymywania kodu źródłowego dla różnych
architektur. Tworzy się wtedy katalog zawierający dowiązania do
prawdziwych źródeł, które można mieć podmontowane ze zdalnej maszyny.

%prep
%setup -q -n lndir-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/lndir
%{_mandir}/man1/lndir.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-util-lndir.spec,v $
Revision 1.13  2012/03/08 15:13:53  qboosh
- updated to 1.0.3

Revision 1.12  2010/08/14 19:13:50  qboosh
- updated to 1.0.2

Revision 1.11  2008/07/27 22:18:52  arekm
- release 2

Revision 1.10  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.8  2006/12/24 11:28:36  qboosh
- desc from manual

Revision 1.7  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.6  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.5  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.4  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.3  2005/12/22 11:40:50  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.2  2005/12/19 15:13:55  qboosh
- BR: pkgconfig

Revision 1.1  2005/12/19 14:43:15  qboosh
- new
